petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerGLVisSetSnapId

Set the snapshot id. Only relevant when the viewer is of type PETSC_VIEWER_GLVIS_DUMP

### Synopsis

    #include "petscviewer.h"
    #include "petscsys.h"
    PetscErrorCode PetscViewerGLVisSetSnapId(PetscViewer viewer, PetscInt id)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer
| id | - the current snapshot id in a time-dependent simulation

### See Also

PetscViewerGLVisOpen(), PetscViewerGLVisSetFields(), PetscViewerCreate(), PetscViewerSetType()

### Level

beginner

### Location

src/sys/classes/viewer/impls/glvis/glvis.c

### Implementations

PetscViewerGLVisSetSnapId_GLVis in src/sys/classes/viewer/impls/glvis/glvis.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages